@import "~assets/scss/variables";

:host {
    display: block;
}

#login-wrapper {
    width: 100vw;
    height: 100vh;
    //background: rgba(darkgreen,1);
    display: flex;
    align-items: center;
    justify-content: center;

    .login-overlay {
        background: radial-gradient(#40404b, #111118) rgba(34,34,40,0.94);
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        z-index: -1;
        opacity: 0;
        -webkit-transition: opacity 0.2s ease-in 0.4s;
        transition: opacity 0.2s ease-in 0.4s;
    }

    .login-form {
        transition: transform 0.6s, opacity 0.6s, -webkit-transform 0.6s;
        opacity: 0;
        -webkit-transform: translateY(100%) scale(0.8);
        transform: translateY(100%) scale(0.8);
        -webkit-transition-timing-function: cubic-bezier(0.3, 0, 0, 1.4);
        transition-timing-function: cubic-bezier(0.3, 0, 0, 1.4);
        margin: 0 auto;
        border-radius: 1px;
        max-height: 100vh;
        width: 100px;
        height: 50px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    &.visible {
        .login-overlay {
            opacity: .9;
        }
        .login-form {
            transition-delay: 0.5s;
            box-shadow: 0 0 40px 4px #111118;
            opacity: 1;
            -webkit-transform: translateY(0%) scale(1);
            transform: translateY(0%) scale(1);
            button {
                display: block;
                padding: .5em;
                width: 100%;
                cursor: pointer;
                margin-bottom: 15px;
                font-size: 1em;
            }
            > div {
                display: block;
                height: 0;
                overflow: hidden;
                transition: height .5s;
            }
            h1 {
                text-align: center;
                padding-top: 5px;
                border-top: solid 1px #eee;
            }
            img {
                width: 250px;
                transition: width .5s;
            }
            &.open {
                padding: 20px;
                transition: width .7s, padding .9s;
                width: 300px;
                height: auto;
                //background: #f9f9f9;
                background: mat-color($irregoGrey, 100);
                > div {
                    height: 220px;
                    padding: 10px 0;
                }
                img {
                    width: 200px;
                }
            }
            form {
                height: 0;
                overflow: hidden;
                transition: height .3s;
                .mat-form-field {
                    display: block;
                    font-size: 16px;
                    margin-bottom: 15px;
                }
            }
            &.emailOpen {
                > div {
                    height: auto;
                }
                form {
                    height: 220px;
                    border-top: solid 1px #eee;
                    padding-top: 20px;
                }
            }
        }
    }
}

#google {
    //border: 1px solid #95989A;
    background: #ffffff  url('/assets/images/google.svg') no-repeat 25px;
    background-size: 25px;
}

#email {
    background: mat-color($irregoBlueGrey, 400)  url('/assets/images/email.svg') no-repeat 25px;
    background-size: 25px;
    color: #ffffff;
}